#include "lattsize.h"

#include "field.h"

#include "lib_gauge.h"


/* ****************************************************** */
void setunit(int nv, Field &u){

  int is;

  for(int i=0; i < nv; i++){

    is = Ndf*i;

    u.e(   is) = 1.0;   u.e( 1+is) = 0.0;
    u.e( 2+is) = 0.0;   u.e( 3+is) = 0.0;
    u.e( 4+is) = 0.0;   u.e( 5+is) = 0.0;

    u.e( 6+is) = 0.0;   u.e( 7+is) = 0.0;
    u.e( 8+is) = 1.0;   u.e( 9+is) = 0.0;
    u.e(10+is) = 0.0;   u.e(11+is) = 0.0;

    u.e(12+is) = 0.0;   u.e(13+is) = 0.0;
    u.e(14+is) = 0.0;   u.e(15+is) = 0.0;
    u.e(16+is) = 1.0;   u.e(17+is) = 0.0;

  }

}
/* ****************************************************** */
