

/* ****************************************************** */
void setconst_c(int nv, double *v, double a){

  for(int i=0; i < nv; i++){
    v[i] = a;
  }

}
/* ****************************************************** */
void vecprd_c(int nv, double &a, double *v1, double *v2){

  a = 0.0;
  for(int i=0; i < nv; i++){
    a = a + v1[i]*v2[i];
  }

}
/* ****************************************************** */
void normv_c(int nv, double &a, double *v){

  a = 0.0;
  for(int i=0; i < nv; i++){
    a = a + v[i]*v[i];
  }

}
/* ****************************************************** */
void selfadd_c(int nv, double *v, double *w, double a){

  for(int i=0; i < nv; i++){
    v[i] = v[i] + a * w[i];
  }

}
/* ****************************************************** */
void selfsprd_c(int nv, double *v, double a){

  for(int i=0; i < nv; i++){
    v[i] = a * v[i];
  }

}
/* ****************************************************** */
void spx_c(int nv, double *v,  double *w, double a){

  for(int i=0; i < nv; i++){
    v[i] = a * v[i] + w[i];
  }

}
/* ****************************************************** */
void equate_c(int nv, double *v,  double *w){

  for(int i=0; i < nv; i++){
    v[i] = w[i];
  }

}
/* ****************************************************** */
